%ext ck1


# Palette-change patch
# redshift of neutrals gives a faintly sinister air...
%patch $13054 
       10 00 00 # black
       00 00 42 # dk blue - unchanged
       00 42 00 # dk green - unchanged
       00 42 42 # teal - unchanged
       42 00 00 # dk red - unchanged
       42 00 42 # purple - unchanged
       42 21 00 # brown - unchanged
       52 42 42 # lt grey
       31 21 21 # dk grey
       21 21 63 # lt blue - unchanged
       21 63 21 # lt green - unchanged
       21 63 63 # cyan - unchanged
       63 21 21 # lt red - unchanged
       63 21 63 # magenta - unchanged
       63 63 00 # yellow - unchanged
       63 63 63 # white - unchanged

%patch $6E46  $E8 $D3 $D5 $90 $90 
%patch $441C                  $B8 $0D $00 $CD 
              $10 $B8 $12 $10 $B9 $08 $00 $BB 
              $00 $00 $8C $DA $8E $C2 $BA $04 
              $00 $CD $10 $BB $18 $00 $BA $1C 
              $00 $CD $10 $C3 
%patch $4409      $B8 $14 $01 $26 $81 $3F $31 
              $01 $73 $03 $B8 $8F $00 $26 $89 
              $07 $E9 $5C $01 


# 30 levels patch
# I'm not actually using all thirty levels (Aah!), but I do have more than 16
%patch $7D3A  $90 $90 $80 $BF $A6 $AA $00 
%patch $7FCA  $90 $90 $80 $BF $A5 $AA $00 
%patch $9065  $90 $90 $C6 $87 $A6 $AA $00 $90 
%patch $9070  $83 $7E $F8 $20 
%patch $8013  $90 $90 $C6 $87 $A5 $AA $01 $90 
%patch $7E48  $83 $7E $FC $20 


# Tileinfo file
%patchfile 0x130F8 vox1tli.tli


# Teleporter patch - muhahaha!
%patch $8919                           $89 $F0 $F7 $2E $08 $6C $01 
   $F8 $D1 $E0 $C4 $1E $4C $6C $01 $C3 $26 $8B $07 $50 $88 $E0 $98 
   $99 $01 $F0 $83 $D2 $00 $B1 $0C $E8 $16 $58 $89 $16 $E4 $6E $A3 
   $E2 $6E $05 $00 $B0 $83 $D2 $FF $A3 $D4 $6E $89 $16 $D6 $6E $58 
   $98 $99 $01 $F8 $83 $D2 $00 $B1 $0C $E8 $F5 $57 $89 $16 $E0 $6E 
   $A3 $DE $6E $05 $00 $70 $83 $D2 $FF $A3 $D0 $6E $89 $16 $D2 $6E 
   $C3 
%patch $4572  $E8 $A4 $43 $EB $13 $90

# Border colors
%patch $4A62   $04
%patch $6F9D   $04
%patch $15568  $00
%patch $15579  $00
%patch $1558A  $00
%patch $1559B  $00
%patch $4A7D   $04 
%patch $4A85   $00 

# Let Keen keep keycards when exiting a level
%patch $4F43 $90 $90 $90 $90 $90 $90 $90 $90 
             $90 $90 $90 $90 $90 $90 $90 $90 
             $90 $90 $90 $90 $90 $90 $90 $90 
             $90 $90 $90

# Doors on the world map
%patch $897B                                   $3D $00 $00 $9F $88 
   $E0 $8B $9F $6E $05 $83 $EB $02 $7C $0F $83 $FB $03 $7F $0A $D1 
   $E3 $83 $BF $9E $AA $01 $9F $08 $C4 $9E $74 $05 $58 $05 $1A $00 
   $50 $C3 
%patch $A71B  $8B $87 $34 $0A $E8 $59 $E2 
%patch $A808  $8B $87 $C0 $13 $E8 $6C $E1 
%patch $A933  $8B $87 $86 $18 $E8 $41 $E0 
%patch $AA20  $8B $87 $FA $0E $E8 $54 $DF 

#Pogo doesn't fly with Godmode (even when cheating, you've got to find the right path!)
%patch $3F4E  $EB


# Text patching follows


%level.hint 2
HELP

 Help screens like
 this are scattered
 throughout the
 ship.

%level.hint 6
HELP

 You found a
 secret level!
 Good job!

%level.hint 9
HELP

 The key to reaching
 the secret level
 is hidden in this
 level.
 
%level.hint 10
HELP

 This is not as
 difficult as it
 seems. Think about
 it...

%level.hint 11
HELP

 Out of order

%level.hint 12
HELP

 There are two
 secret buildings.
 The key to reaching
 them is hidden...

%level.hint 15
HELP

 PROJECT VOX
 HEADQUARTERS
 COORDINATES:
 GNOSTICUS IV


# BWB popup
%patch 0x0001659B "Keen must destroy   "


# Make "ordering info" have no effect. 
%patch $95A3  $EB $AD

#Main menu
%patch 0x00015ef6 "Restore Game "
%patch 0x015F12 "About Me..."
%patch 0x00015f22 "The Keenest"
%patch 0x015F32 "             "


# Status Menu - no major hacks for Grelphy. =)
%patch 0x00014e66 "LIFE"
%patch 0x00014e77 "LIVES"
%patch 0x00014e9B "STUN  "
%patch 0x00014eac "KEYCARDS"
%patch 0x00014ec8 "SHOTS "


# About ID
%patch 0x00015f80 "Grelphy is the administrator and  "
%patch 0x00015fa8 "sole member of Grelphy Labs, and "
%patch 0x00015fd0 "an avid Keen fan. He hopes you"
%patch 0x00015ff8 "enjoy this mod.     "

%patch 0x00016020 "Grelphy Labs's website is at    "
%patch 0x00016048 "http://grelphy.spatang.com         "
%patch 0x00016070 "Please visit, peruse and  "
%patch 0x00016098 "enjoy!                 "

%patch 0x000160c0 "Grelphy would like to thank  "
%patch 0x000160e8 "Andy Durdin, all his betatesters "
%patch 0x00016110 "and everyone at K:M forum"


#Finale

%patch 0x015C24 "Commander Keen returns to the B-W-B"
%patch 0x015C49 "Megarocket and blasts off, going "
%patch 0x015C6C "from the damaged ship towards the  "
%patch 0x015C91 "secret Voxian command base.    "

%patch 0x015CBD "Keen ponders the lax  "
%patch 0x015CD5 "computer security "
%patch 0x015CE9 "in the ship.     "

%patch 0x015CFB "The ship's database"
%patch 0x015D10 "was unencrypted, as"
%patch 0x015D25 "though... "

%patch 0x015D30 "They wanted me to...?"
%patch 0x015D47 "UBER-SECRET VOXIAN   "
%patch 0x015D5E "BASE LOCATION:     "
%patch 0x015D73 "GNOSTICUS 4"

%patch 0x015D80 "Hmm... Oh well. "
%patch 0x015D92 "We'll see"

%patch 0x015D9C "Probably it's just me."
%patch 0x015DB4 "Gnosticus IV, eh?   "
%patch 0x015DCA "Interesting choice...  "

%patch 0x015DE2 "Next to the Oracle."

%patch 0x015DF6 "I better hurry, "

%patch 0x015E07 "otherwise the Council"
%patch 0x015E1E "could get in trouble.  "
%patch 0x015E37 "And we all know how"
%patch 0x015E4C "much fun it is to    "
%patch 0x015E63 "rescue THEM!  "


%end